%define upstream_name	 HTML-Stream
%define upstream_version 1.60

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	HTML output stream class, and some markup utilities
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Output)
BuildArch:	noarch


%description
The HTML::Stream module provides you with an object-oriented (and subclassable)
way of outputting HTML. Basically, you open up an "HTML stream" on an existing
filehandle, and then do all of your output to the HTML stream. You can intermix
HTML-stream-output and ordinary-print-output, if you like.

There's even a small built-in subclass, HTML::Stream::Latin1, which can handle
Latin-1 input right out of the box. But all in good time...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc COPYING README README.system docs examples testin META.yml
%{perl_vendorlib}/HTML
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.600.0-11.mga10
+ Revision: 2199434
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.600.0-10.mga9
+ Revision: 1803995
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.600.0-9.mga8
+ Revision: 1494907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.600.0-8.mga7
+ Revision: 1268498
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.600.0-7.mga6
+ Revision: 1028298
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.600.0-6.mga6
+ Revision: 946367
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.600.0-5.mga5
+ Revision: 744870
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.600.0-4.mga5
+ Revision: 684961
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 512012
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 368122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.600.0-1.mga1
+ Revision: 29123
- mageia rebuild
- imported package perl-HTML-Stream


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.600.0-1mdv2010.0
+ Revision: 403259
- rebuild using %%perl_convert_version

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2009.0
+ Revision: 270386
- update to new version 1.60

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.59-2mdv2009.0
+ Revision: 268522
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2009.0
+ Revision: 214415
- update to new version 1.59

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.58-1mdv2009.0
+ Revision: 213369
- new version

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.55-3mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.55-3mdv2008.0
+ Revision: 86472
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.55-2mdv2007.0
- Rebuild

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.55-1mdk
- first mdk release

